#ifndef __LOGIC_H__
#define __LOGIC_H__

#include <time.h>

#include "AsciiAPI.h"

typedef struct tagHEADER {
    char SENDER[6];
    char RECIPIENT[6];
    char FSN[6];
    struct tm FILE_CREATION_DATE;
} HEADER;

typedef struct tagMOC {
    char IMSI[16];
    char CALLED_NUMBER[22];
    int NATIONAL_IND;
    struct tm CALL_DATE_TIME;
    int DURATION;
    char MSCID[16];
    char CALLEDCOUNTRYCODE[6];
    double CHARGE;
    int CHARGEABLE_UNITS;
    double EXCHANGE_RATE;
} MOC;


RCINT64 GetMinorVersionProduced();

void ProcessHEADER(RCHANDLE treeRoot, HEADER *pHEADER);

void ProcessMOC(RCHANDLE treeRoot, MOC *pMOC);

#endif
